Application: gvSIG desktop - gvSIG bugs #905
Renaming a field name corrupts the table
Has patch: No Hito:
Description

Open gvSIG

Select table in project manager

Clic New table

Add table--> geodata/tables/concejos.navarra.dbf and clic Ok
Table opens

Start edition table

Select manage field

Select rename field

Write new name in the window

Select accept in manage fields

Check in the table the field change the name

When editing a table, rename a field, lose all data you had and you can not finish editing with saving changes.

Abrir gvSIG

Seleccione Tabla en el gestor de proyectos

Clic Nueva tabla

Agregar la tabla -> geodata/tables/concejos.navarra.dbf y clic Ok
Se abre la tabla

Iniciar la Edicién de la tabla

Seleccione Modificar Estructura de la Tabla

Seleccione el campo a Renombrar y clic en la opcion Renombrar campo
Escribir el nuevo nombre del campo

Seleccione Aceptar

Compruebe que en la tabla el campo ha cambiado de nombre

Al editar una tabla, cambiar el nombre de un campo, este perderéa todos los datos que tenia y no se podra finalizar la edicidén
guardando los cambios.

History

#1 - 10/30/2012 07:04 PM - Manuel Madrid

- Subject changed from Select the manage field, rename field and save the changes in 'document Table' to Renaming a field name corrupts the table
- Priority changed from Normal to Immediate

- Target version set to 2.0.0-rc1
#2 - 10/31/2012 11:57 AM - Juan Lucas Dominguez

- Status changed from New to Fixed

- Assignee set to Juan Lucas Dominguez

Fixed behavior of rename field option in the table field manager.

gvsig-desktop:r39125

Test: the steps described should now work. Behavior has changed a little: now editing finishes after changing name. User has to restart editing mode

to do more changes.

#3 - 11/13/2012 10:52 AM - Maria Maluenda
- Status changed from Fixed to New

When apply steps, appears a message (Unable to rename fields:Can't finish edition) but click ok and the field name is changed. Now, click again in

manage field, and rename same field, the records in this field dissapears. | tested in the gvSIG build 2057.

#4 - 11/13/2012 04:42 PM - Juan Lucas Dominguez
- Status changed from New to Fixed

This bug is similar to #1229 and both are fixed in BN 2058.

Test: the steps described should now work.

If field name is too long, a message apperas and renaming is automatically cancelled.
Editing finishes after changing name (as dialog says). User has to restart editing mode to do more changes.

#5 - 12/03/2012 01:55 PM - Vicent Domenech
- Status changed from Fixed to Closed

Closed using gvSIG build 2060 (RC1)
